Schedule Demo

What are the SkyPrep system requirements?

SkyPrep is a cloud-based solution, meaning it requires only a web-browser to operate.
The following browsers are supported:

  • Internet Explorer 9+
  • Chrome
  • Safari
  • Firefox 4+
  • Opera

Javascript and cookies must be enabled. Flash is highly recommended to view multimedia and Flash presentations.

Please note, Internet Explorer 8 and below are not supported. SkyPrep may work with add-ons such as Google Chrome Frame.

Instantly Launch Your Own LMS for Free

Our training software works on all computers and mobile devices.

  • Available on Desktop
  • Available on iOS
  • Available on Android